Page MenuHomePhabricator

MobileFormatter follow up work
Closed, ResolvedPublic8 Estimated Story Points

Description

This follows up the work in T186823 and builds on the recommendations in T186823#6409592.

Desired Outcomes

Event Timeline

Jdlrobson created this task.Sep 1 2020, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2020, 4:41 PM
Jdlrobson triaged this task as Medium priority.Sep 1 2020, 5:59 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Sep 1 2020, 9:29 PM

Change 625621 had a related patch set uploaded (by Peter.ovchyn; owner: Peter.ovchyn):
[mediawiki/extensions/MobileFrontend@master] Rename MobileFormatter::filterContent with MobileFormatter::applyTransforms

https://gerrit.wikimedia.org/r/625621

Change 625628 had a related patch set uploaded (by Peter.ovchyn; owner: Peter.ovchyn):
[mediawiki/extensions/MobileFrontend@master] Introduce CallbackTransform class to iterate transforms in array

https://gerrit.wikimedia.org/r/625628

Peter.ovchyn updated the task description. (Show Details)Sep 7 2020, 11:51 AM
Peter.ovchyn updated the task description. (Show Details)
Peter.ovchyn updated the task description. (Show Details)
Peter.ovchyn updated the task description. (Show Details)Sep 8 2020, 4:36 PM
Peter.ovchyn updated the task description. (Show Details)
Peter.ovchyn updated the task description. (Show Details)Sep 9 2020, 2:13 PM

Change 626162 had a related patch set uploaded (by Peter.ovchyn; owner: Peter.ovchyn):
[mediawiki/extensions/MobileFrontend@master] Generalise MobileFormatter encapsulate list of formatters as private property

https://gerrit.wikimedia.org/r/626162

Peter.ovchyn updated the task description. (Show Details)Sep 9 2020, 2:25 PM
ovasileva set the point value for this task to 8.Sep 9 2020, 4:32 PM

Change 625621 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Rename MobileFormatter::filterContent with MobileFormatter::applyTransforms

https://gerrit.wikimedia.org/r/625621

Peter.ovchyn updated the task description. (Show Details)Sep 11 2020, 8:03 AM

Change 625628 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Iterate transforms in array

https://gerrit.wikimedia.org/r/625628

Change 627326 had a related patch set uploaded (by Peter.ovchyn; owner: Peter.ovchyn):
[mediawiki/extensions/MobileFrontend@master] Introduce ISectionTransform interface

https://gerrit.wikimedia.org/r/627326

Peter.ovchyn updated the task description. (Show Details)Sep 14 2020, 3:47 PM

Change 627436 had a related patch set uploaded (by Peter.ovchyn; owner: Peter.ovchyn):
[mediawiki/extensions/MobileFrontend@master] Flatten Section transforms

https://gerrit.wikimedia.org/r/627436

Change 626162 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Introduce MobileFormatter::$transforms as private property

https://gerrit.wikimedia.org/r/626162

Change 627326 abandoned by Peter.ovchyn:
[mediawiki/extensions/MobileFrontend@master] Introduce ISectionTransform interface

Reason:
Aborted in favour of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/MobileFrontend/ /627436

https://gerrit.wikimedia.org/r/627326

Change 627436 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Flatten Section transforms

https://gerrit.wikimedia.org/r/627436

Peter.ovchyn updated the task description. (Show Details)Sep 24 2020, 2:43 PM

Change 629696 had a related patch set uploaded (by Peter.ovchyn; owner: Peter.ovchyn):
[mediawiki/extensions/MobileFrontend@master] Pass transforms to MobleFormatter via constructor

https://gerrit.wikimedia.org/r/629696

phuedx claimed this task.Sep 29 2020, 2:06 PM

Assuming this task is about the MobileFrontend code project, hence adding that project tag so other people who don't know or don't care about team tags can also find this task when searching via projects. Please set appropriate project tags when possible. Thanks!

Change 629696 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Pass transforms directly to MobileFormatter::applyTransform as argument

https://gerrit.wikimedia.org/r/629696

phuedx closed this task as Resolved.Wed, Oct 14, 5:15 PM